Subject: [PATCH v4 06/12] ARM: dove: add gigabit ethernet and mvmdio device tree nodes

From: [email-masked] (Sebastian Hesselbarth)
Date: Wed, 22 May 2013 19:42:36 +0200

On 05/22/2013 07:35 PM, Jason Cooper wrote:
> On Wed, May 22, 2013 at 07:32:51PM +0200, Sebastian Hesselbarth wrote:
>> On 05/22/2013 06:59 PM, Jason Gunthorpe wrote:
>>> On Wed, May 22, 2013 at 09:10:10AM -0400, Jason Cooper wrote:
>>>> iirc, our solution to this was to parse the ATAGs for the mac addr and
>>>> update the appended dtb.  This way, module load and unload would work
>>>> without loosing the mac address.  I believe Jason Gunthorpe has a patch
>>>> to atags_to_fdt() for this...  This should allow us to get rid of the
>>>> clocks hack.
>>>
>>> Sorry, no, we don't use ATAGs here, our platforms start the kernel
>>> with a correct DTB that has the correct mac address to use. My patch
>>> was to have the driver accept it, and I think Sebastian has already
>>> got that functionality...
>>
>> Not neccessary anyway, after talking Jason C in a Kirkwood-only
>> workaround I prepared a patch that reads mac address registers early
>> and stores it in the local-mac-address property.
>
> Sweet!
>
>> Just tested on Dockstar with gated clocks and modular DT mv643xx_eth.
>>
>> Will append to the DT mv643xx_eth patch set if a v5 will be required
>> or as single patch prior Jason C taking in the ARM part of it
>> otherwise.
>
> Please post, in-reply-to v4 is fine.

Hmm, maybe a little bit too early. While restoring the MAC address now
works, another bug arises which I guess is related with phy setup
and aneg.

Will investigate and update patch set accordingly.

Sebastian